package com.mx.cneeds.common.vo;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @ClassName SysUser
 * @Author zzrdark
 * @Date 2020-03-03 16:54
 * @Description TODO
 **/
@Data
public class UserVo implements Serializable {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;

    /**
     * 简介
     */
    private String remark;

    /**
     * 邮箱
     */
    private String email;
    /**
     * 手机
     */
    private String mobile;
    /**
     * 账户状态 0：禁用   1：正常
     */
    private Integer status;
    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 创建时间
     */
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    private List<Long> userFuncIdList;

    private List<Long> userDeptIdList;

    private Long roleId;
}
