package com.mx.cneeds.server.device.service.impl;

import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.common.pager.Query;
import com.mx.cneeds.server.dao.DeviceLogmediaDao;
import com.mx.cneeds.server.device.service.DeviceLogmediaService;
import com.mx.cneeds.server.entity.DeviceLogmediaEntity;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


@Service("deviceLogmediaService")
public class DeviceLogmediaServiceImpl extends ServiceImpl<DeviceLogmediaDao, DeviceLogmediaEntity> implements DeviceLogmediaService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DeviceLogmediaEntity> page = this.page(
                new Query<DeviceLogmediaEntity>().getPage(params),
                new QueryWrapper<DeviceLogmediaEntity>()
        );

        return new PageUtils(page);
    }

}
