package com.mx.cneeds.server.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 日志音频表
 * 
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-01-09 15:09:01
 */
@Data
@TableName("device_logmedia")
public class DeviceLogmediaEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Long logmediaId;

	/**
	 * 音频路径
	 */
	private String locationUrl;

	/**
	 * 
	 */
	private Long logId;

	/**
	 * 格式
	 */
	private String type;

	private Long fileSize;

}
